[ISAPI_Rewrite]

# 3600 = 1 hour
CacheClockRate 3600

RepeatLimit 32

# Protect httpd.ini and httpd.parse.errors files
# from accessing through HTTP
RewriteRule  ^(.*)/news/index\.html$ $1/News/index\.aspx
RewriteRule  ^(.*)/news/trade-([0-9]+)\.html$ $1/News/trade\.aspx?id=$2
RewriteRule  ^(.*)/news/detail-([0-9]+)\.html$ $1/News/detail\.aspx?id=$2

RewriteRule  ^(.*)/supply/trade\.html$ $1/supply/trade\.aspx?id=0
RewriteRule  ^(.*)/supply/trade-([0-9]+)\.html$ $1/supply/trade\.aspx?id=$2 [I]
RewriteRule  ^(.*)/supply/trade-([0-9]+)-p([0-9]+)\.html$ $1/supply/trade\.aspx?id=$2&Page=$3
RewriteRule  ^(.*)/supply/detail-([0-9]+)\.html$ $1/supply/detail\.aspx?id=$2

RewriteRule  ^(.*)/purchase/trade\.html$ $1/purchase/trade\.aspx?id=0
RewriteRule  ^(.*)/purchase/trade-([0-9]*)\.html$ $1/purchase/trade\.aspx?id=$2
RewriteRule  ^(.*)/purchase/trade-([0-9]*)-p([0-9]*)\.html$ $1/purchase/trade\.aspx?id=$2&Page=$3
RewriteRule  ^(.*)/purchase/detail-([0-9]+)\.html$ $1/purchase/detail\.aspx?id=$2

RewriteRule  ^(.*)/company/trade\.html$ $1/Company/trade\.aspx?id=0
RewriteRule  ^(.*)/company/trade-([0-9]+)\.html$ $1/Company/trade\.aspx?id=$2
RewriteRule  ^(.*)/company/trade-([0-9]+)-p([0-9]+)\.html$ $1/company/trade\.aspx?id=$2&Page=$3

RewriteRule  ^(.*)/agent/index\.html$ $1/agent/index\.aspx
RewriteRule  ^(.*)/agent/trade\.html$ $1/agent/trade\.aspx
RewriteRule  ^(.*)/agent/trade-([0-9]+)\.html$ $1/agent/trade\.aspx?id=$2
RewriteRule  ^(.*)/agent/trade-([0-9]+)-p([0-9]+)\.html$ $1/agent/trade\.aspx?id=$2&page=$3
RewriteRule  ^(.*)/agent/detail-([0-9]+)\.html$ $1/agent/detail\.aspx?id=$2

RewriteRule  ^(.*)/expo/index\.html$ $1/expo/index\.aspx
RewriteRule  ^(.*)/expo/trade\.html$ $1/expo/trade\.aspx
RewriteRule  ^(.*)/expo/trade-([0-9]+)\.html$ $1/expo/trade\.aspx?id=$2
RewriteRule  ^(.*)/expo/trade-([0-9]+)-p([0-9]+)\.html$ $1/expo/trade\.aspx?id=$2&page=$3
RewriteRule  ^(.*)/expo/detail-([0-9]+)\.html$ $1/expo/detail\.aspx?id=$2

RewriteRule  ^(.*)/product/trade\.html$ $1/product/trade\.aspx?id=0
RewriteRule  ^(.*)/product/trade-([0-9]+)\.html$ $1/product/trade\.aspx?id=$2
RewriteRule  ^(.*)/product/trade-([0-9]+)-p([0-9]+)\.html$ $1/product/trade\.aspx?id=$2&Page=$3
RewriteRule  ^(.*)/product/detail-([0-9]+)\.html$ $1/product/detail\.aspx?id=$2

RewriteRule  ^(.*)/shop/index/(\w+)\.html$ $1/shops/index\.aspx?LoginName=$2
RewriteRule  ^(.*)/shop/newslist/(\w+)\.html$ $1/shops/newslist\.aspx?LoginName=$2
RewriteRule  ^(.*)/shop/newslist/(\w+)\.html\?id=([0-9]+)$ $1/shops/newslist\.aspx?LoginName=$2&id=$3
RewriteRule  ^(.*)/shop/supply/(\w+)\.html$ $1/shops/supply\.aspx?LoginName=$2
RewriteRule  ^(.*)/shop/supply/(\w+)\.html\?id=([0-9]+)$ $1/shops/supply\.aspx?LoginName=$2&id=$3
RewriteRule  ^(.*)/shop/supply/(\w+)\.html\?keywords=(\w+)$ $1/shops/supply\.aspx?LoginName=$2&keywords=$3
RewriteRule  ^(.*)/shop/contact/(\w+)\.html$ $1/shops/contact\.aspx?LoginName=$2
RewriteRule  ^(.*)/shop/certify/(\w+)\.html$ $1/shops/certify\.aspx?LoginName=$2
RewriteRule  ^(.*)/shop/profile/(\w+)\.html$ $1/shops/profile\.aspx?LoginName=$2
RewriteRule  ^(.*)/shop/newsinfo/(\w+)\.html\?id=([0-9]+)$ $1/shops/newsinfo\.aspx?LoginName=$2&id=$3